package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.UserHistory;

import java.util.List;

/**
 * 用户播放历史Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IUserHistoryService 
{
    /**
     * 查询用户播放历史
     * 
     * @param id 用户播放历史主键
     * @return 用户播放历史
     */
    public UserHistory selectUserHistoryById(String id);

    /**
     * 查询用户播放历史列表
     * 
     * @param userHistory 用户播放历史
     * @return 用户播放历史集合
     */
    public List<UserHistory> selectUserHistoryList(UserHistory userHistory);

    /**
     * 新增用户播放历史
     * 
     * @param userHistory 用户播放历史
     * @return 结果
     */
    public int insertUserHistory(UserHistory userHistory);

    /**
     * 修改用户播放历史
     * 
     * @param userHistory 用户播放历史
     * @return 结果
     */
    public int updateUserHistory(UserHistory userHistory);

    /**
     * 批量删除用户播放历史
     * 
     * @param ids 需要删除的用户播放历史主键集合
     * @return 结果
     */
    public int deleteUserHistoryByIds(String[] ids);

    /**
     * 删除用户播放历史信息
     * 
     * @param id 用户播放历史主键
     * @return 结果
     */
    public int deleteUserHistoryById(String id);

    int insertHistory(Long userId, String musicId);

    int deleteUserHistoryByMusicId(String[] musicId);
}
